(set-terminal-coding-system 'utf-8)
(set-keyboard-coding-system 'utf-8)
(set-buffer-file-coding-system 'utf-8)
(set-default-coding-systems 'utf-8)
(prefer-coding-system 'utf-8)
(setq gc-cons-threshold (* 128 1024 1024))
(setq inhibit-startup-message t)
(global-set-key "\C-h" 'delete-backward-char)
(global-set-key "\C-ch" 'help-command)
(setq-default tab-width 2 indent-tabs-mode nil)
(setq eol-mnemonic-dos "(CRLF)")
(setq eol-mnemonic-mac "(CR)")
(setq eol-mnemonic-unix "(LF)")
(column-number-mode t)
(global-linum-mode t)
(setq kill-whole-line t)
(show-paren-mode 1)
(setq show-paren-delay 1)
(setq show-paren-style 'expression)
(setq make-backup-files nil)
(setq auto-save-list-file-prefix nil)
(setq create-lockfiles nil)
(setq auto-save-default nil)
(setq-default show-trailing-whitespace t)
(add-hook 'before-save-hook 'delete-trailing-whitespace)
(setq completion-ignore-case t)
(global-auto-revert-mode 1)
(line-number-mode 1)
(transient-mark-mode 1)
(setq cursor-in-non-selected-windows nil)
(global-font-lock-mode t)
(global-set-key "\C-x\C-b" 'buffer-menu)
(setq slime-net-coding-system 'utf-8-unix)

(setq inferior-lisp-program
      (concat "ecl --norc "
              (concat " --load "
                      (expand-file-name (concat (getenv "ECL_PROJECT_PATH") "/.deepspace/.eclrc")))))

(add-to-list 'load-path (expand-file-name
                         (concat (getenv "ECL_PROJECT_PATH")
                                 "/.deepspace/slime-2.24")))

(require 'slime)
(slime-setup '(slime-repl slime-fancy slime-banner))
(slime)
